# Manual do usuario de &kde;

Harri
Porten

    porten@kde.org

2008-10-15
0.01.01
kjs
1

# `kjs`

Intérprete compatíbel con ECMAScript de &kde;

## Resumo

    kjs  --help -help -h   -e sentenza   script

## Descrición

`kjs` é o motor de ECMAScript/JavaScript para KDE.

## Opcións do programa

`--help`,`-help`,`-h`

  Mostra o uso de `kjscmd`.

`-e` `sentenza`

  Executa a sentenza e sae. Por exemplo:

      kjs -e "print('Ola mundo')"

`script`

  Executa as sentenzas incluídas no ficheiro `script`.

## Utilización

`kjs` `ficheiro`, como moitos outros intérpretes, cando se executa sen parámetros uses un editor de liñas para inserir as sentenzas, neste caso co indicador do sistema

    JS
    >

. Para saír do editor escriba `quit()` ou prema `Ctrl+D`.

## Consulte tamén

kjs(1)

## Erros

Probabelmente haxa moitísimos erros. Use bugs.kde.org para informar deles.